GET api/forms/search?formStatus={formStatus}&creationDateOperator={creationDateOperator}&utcCreationDate1={utcCreationDate1}&utcCreationDate2={utcCreationDate2}&completedDateOperator={completedDateOperator}&utcCompletedDate1={utcCompletedDate1}&utcCompletedDate2={utcCompletedDate2}&closedDateOperator={closedDateOperator}&utcClosedDate1={utcClosedDate1}&utcClosedDate2={utcClosedDate2}&patientFirstName={patientFirstName}&patientLastName={patientLastName}&formLayoutActive={formLayoutActive}&page={page}&itemsPerPage={itemsPerPage}&patientExternalId={patientExternalId}&onlyProfileForms={onlyProfileForms}

Gets information about a form.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
formStatus

Current form's status. Possible values: Open, Completed, Closed, Cancelled

string

Default value is empty string ("")

creationDateOperator

Date creation a form's comparison operators. Possible values: NotCompare, Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

utcCreationDate1

Date created's form.

date

None.

utcCreationDate2

Second date created's form.

date

None.

completedDateOperator

Date completed a form's comparison operators. Possible values: NotCompare, Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

utcCompletedDate1

Date completed's form.

date

None.

utcCompletedDate2

Second date completed's form.

date

None.

closedDateOperator

Date closed a form's comparison operators. Possible values: NotCompare, Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

utcClosedDate1

Date closed's form.

date

None.

utcClosedDate2

Second date closed's form.

date

None.

patientFirstName

Patient's first name.

string

Default value is empty string ("")

patientLastName

Patient's last name.

string

Default value is empty string ("")

formLayoutActive

Indicates whether the form layout is active or not.

boolean

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

patientExternalId

Patient's unique ID on integrating system.

string

Default value is empty string ("")

onlyProfileForms

check Indicates whether a form is profile or not.

boolean

Default value is False

Body Parameters

None.

Response Information

Resource Description

ListModelOfFormModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of FormModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "id": "8e28041a-4674-4833-a29d-090f5ae5d3b6",
      "formLayoutName": "sample string 2",
      "patientExternalId": "sample string 3",
      "patientFullName": "sample string 4",
      "status": "sample string 5",
      "creationDate": "2026-05-29T16:56:45.4056556+00:00"
    },
    {
      "id": "8e28041a-4674-4833-a29d-090f5ae5d3b6",
      "formLayoutName": "sample string 2",
      "patientExternalId": "sample string 3",
      "patientFullName": "sample string 4",
      "status": "sample string 5",
      "creationDate": "2026-05-29T16:56:45.4056556+00:00"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfFormModel5HiPFsD1 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Forms">
    <d2p1:FormModel>
      <d2p1:CreationDate>2026-05-29T16:56:45.4056556+00:00</d2p1:CreationDate>
      <d2p1:FormLayoutName>sample string 2</d2p1:FormLayoutName>
      <d2p1:ID>8e28041a-4674-4833-a29d-090f5ae5d3b6</d2p1:ID>
      <d2p1:PatientExternalId>sample string 3</d2p1:PatientExternalId>
      <d2p1:PatientFullName>sample string 4</d2p1:PatientFullName>
      <d2p1:Status>sample string 5</d2p1:Status>
    </d2p1:FormModel>
    <d2p1:FormModel>
      <d2p1:CreationDate>2026-05-29T16:56:45.4056556+00:00</d2p1:CreationDate>
      <d2p1:FormLayoutName>sample string 2</d2p1:FormLayoutName>
      <d2p1:ID>8e28041a-4674-4833-a29d-090f5ae5d3b6</d2p1:ID>
      <d2p1:PatientExternalId>sample string 3</d2p1:PatientExternalId>
      <d2p1:PatientFullName>sample string 4</d2p1:PatientFullName>
      <d2p1:Status>sample string 5</d2p1:Status>
    </d2p1:FormModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfFormModel5HiPFsD1>